use std::fmt;

#[derive(Clone, Debug)]
pub enum PlaybackState {
    Stopped,
    Playing,
}

impl fmt::Display for PlaybackState {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        match self {
            Self::Stopped => write!(f, "Stopped"),
            Self::Playing => write!(f, "Playing"),
        }
    }
}
